textures/custom1/mx_sand2steps
{
	qer_editorimage textures/custom1/mxsand2steps.tga
	surfaceparm grasssteps
	q3map_nonplanar 
	q3map_shadeangle 110 
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/mxsand2steps.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

textures/custom1/mapfloor
{
	qer_editorimage textures/custom1/mapfloor.tga
	surfaceparm grasssteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/mapfloor.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

}

models/mapobjects/plants_sd/grass_dry3
{
	cull twosided
	surfaceparm alphashadow
	{
		map models/mapobjects/plants_sd/grass_dry3.tga
		alphaFunc GE128
		rgbGen vertex
		//rgbGen identity
	}
}

textures/custom1/ypglogodecal
{
	polygonOffset
	entityMergable
	{
		map textures/custom1/ypglogodecal.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

textures/custom1/full_moon
{
	cull none
	nofog
	{
		map textures/custom1/full_moon.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/custom1/full_moon2
{
	cull none
	nofog
	{
		map textures/custom1/full_moon2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/custom1/small_moon
{
	cull none
	nofog
	{
		map textures/custom1/small_moon.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/custom1/seawallsunfog
{
	cull none
	q3map_nofog
	nofog
	{
		map textures/custom1/seawallsunfog.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/custom1/batterysunfog
{
	cull none
	q3map_nofog
	nofog
	{
		map textures/custom1/batterysunfog.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/custom1/sd_siwasky
{
	nocompress
	qer_editorimage textures/custom1/nero_bluelight.tga
	q3map_lightimage textures/custom1/siwa_clouds.tga
	
	q3map_sun 0.75 0.70 0.6 135 199 49
	q3map_skylight 75 3
	sunshader textures/custom1/siwasunbright
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/custom1/wurzburg_env/sky 512 -
 
	{
		fog off
		clampmap textures/custom1/siwa_mask.tga
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting

	}
}

textures/custom1/siwasunbright
{
	nocompress
	cull none
	q3map_nofog
	
	{
		map textures/custom1/siwasun.tga
		blendFunc blend
		//blendFunc GL_SRC_ALPHA GL_ONE
		//rgbGen const ( 1.0 0.95 0.9 )
		rgbGen identityLighting
		//rgbGen identity
	}
}

textures/custom1/wood1a
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/wood1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/custom1/wood1b
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/wood1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/custom1/tron_grid32
{
	qer_editorimage textures/custom1/tron_grid32.tga
	q3map_lightimage textures/custom1/tron_grid32.tga
	q3map_surfacelight 50
	surfaceparm landmine
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_grid32.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_grid32.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_grid32r
{
	qer_editorimage textures/custom1/tron_grid32r.tga
	q3map_lightimage textures/custom1/tron_grid32r.tga
	q3map_surfacelight 50
	surfaceparm landmine
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_grid32r.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_grid32r.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_grid32g
{
	qer_editorimage textures/custom1/tron_grid32g.tga
	q3map_lightimage textures/custom1/tron_grid32g.tga
	q3map_surfacelight 50
	surfaceparm landmine
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_grid32g.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_grid32g.tga
		blendFunc GL_ONE GL_ONE
	}
}


textures/custom1/tron_light_axisred
{
	qer_editorimage textures/custom1/tron_light_axisred.tga
	q3map_lightimage textures/custom1/tron_light_axisred.tga
	q3map_surfacelight 850
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_axisred.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_axisred.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_light_blue
{
	qer_editorimage textures/custom1/tron_light_blue.tga
	q3map_lightimage textures/custom1/tron_light_blue.tga
	q3map_surfacelight 850
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_blue.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_colour_gray
{
	qer_editorimage textures/custom1/tron_colour_gray.tga
	q3map_lightimage textures/custom1/tron_colour_gray.tga
	q3map_surfacelight 850
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_colour_gray.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_colour_gray.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/custom1/tron_colour_magenta
{
	qer_editorimage textures/custom1/tron_colour_magenta.tga
	q3map_lightimage textures/custom1/tron_colour_magenta.tga
	q3map_surfacelight 850
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_colour_magenta.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_colour_magenta.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/custom1/tron_colour_deepblue
{
	qer_editorimage textures/custom1/tron_colour_deepblue.tga
	q3map_lightimage textures/custom1/tron_colour_deepblue.tga
	q3map_surfacelight 850
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_colour_deepblue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_colour_deepblue.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/custom1/tron_light_green
{
	qer_editorimage textures/custom1/tron_light_green.tga
	q3map_lightimage textures/custom1/tron_light_green.tga
	q3map_surfacelight 850
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_green.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_green.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_light_blue
{
	qer_editorimage textures/custom1/tron_light_blue.tga
	q3map_lightimage textures/custom1/tron_light_blue.tga
	q3map_surfacelight 850
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_blue.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_light_yellow
{
	qer_editorimage textures/custom1/tron_light_yellow.tga
	q3map_lightimage textures/custom1/tron_light_yellow.tga
	q3map_surfacelight 850
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_yellow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_light_yellow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_logo
{
	qer_editorimage textures/custom1/tron_logo.tga
	q3map_lightimage textures/custom1/tron_logo.tga
	q3map_surfacelight 450
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_logo.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_logo.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_ladder_red
{
	qer_editorimage textures/custom1/tron_ladder_red.tga
	q3map_lightimage textures/custom1/tron_ladder_red.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_ladder_red.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_ladder_red.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_ladder
{
	qer_editorimage textures/custom1/tron_ladder.tga
	q3map_lightimage textures/custom1/tron_ladder.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_ladder.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_ladder.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_redarrow
{
	qer_editorimage textures/custom1/tron_redarrow.tga
	q3map_lightimage textures/custom1/tron_redarrow.tga
	q3map_surfacelight 150
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_redarrow.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_redarrow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_fence
{
	{
		map textures/custom1/tron_fence.tga
	}
	{
		map textures/custom1/tron_fence.tga
		blendFunc blend
		AlphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identify
	}
}

textures/custom1/tron_grid32
{
	qer_editorimage textures/custom1/tron_grid32.tga
	q3map_lightimage textures/custom1/tron_grid32.tga
	q3map_surfacelight 550
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/tron_grid32.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/custom1/tron_grid32.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/custom1/tron_water
{
	qer_editorimage	textures/custom1/tron_water.jpg
	qer_trans 0.25
	q3map_globaltexture

	surfaceparm	water
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	lightfilter

	waterfogvars ( 0.1 0.1 0.1 ) 128
	tessSize 256
	cull disable
	deformVertexes wave 100 sin 0 2 .5 .25
	{ 
		map textures/custom1/tron_water.jpg
		rgbGen identity
		blendFunc blend
		alphaGen const 0.7
		depthWrite
		tcmod scale .5 .5
		tcmod turb 0 0.01 0 0.15
		tcmod scroll .01 .01
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
		depthFunc equal	
	}
}

textures/custom1/tron_skybox
{
	qer_editorimage textures/custom1/tron_skybox
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 250
	q3map_sun 0.9 0.9 1 75 0 25
	skyParms env/custom1/tron - -
}

textures/custom1/ctrim_c01
{
	surfaceparm woodsteps
	implicitMap -
}

textures/custom1/ctrim_c03
{
	surfaceparm woodsteps
	implicitMap -
}

textures/custom1/trim_c14
{
	surfaceparm woodsteps
	implicitMap -
}

textures/custom1/stucco01_decor01_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap textures/custom1/stucco01_decor01.tga
}

textures/custom1/stucco01_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap textures/custom1/stucco01.tga
}

textures/custom1/stucco02
{
	qer_editorimage textures/custom1/stucco02.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/custom1/stucco02.tga
		blendFunc filter
	}
}

textures/custom1/stucco02_04blend
{
	q3map_nonplanar
	q3map_shadeangle 30
	implicitMap -
}

textures/custom1/stucco03
{
	q3map_nonplanar
	q3map_shadeangle 60
	implicitMap -
}

textures/custom1/stucco04
{
	q3map_nonplanar
	q3map_shadeangle 60
	implicitMap -
}

textures/custom1/stucco07a
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco07a_nonsolid
{
	surfaceparm nonsolid
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap textures/custom1/stucco07a
}

textures/custom1/stucco07b
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco07c
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco07d
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco08a
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco08b
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco08c
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco08d
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco08e
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco09a
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco09b
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco09c
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco09d
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco09e
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/stucco09f
{
	q3map_nonplanar
	q3map_shadeangle 90
	implicitMap -
}

textures/custom1/wood_c05
{
	surfaceparm woodsteps
	implicitMap -
}

textures/custom1/wood_c06
{
	surfaceparm woodsteps
	implicitMap -
}

textures/custom1/wood_test
{
	surfaceparm woodsteps
	implicitMap -
}

textures/custom1/windowtrim01
{
	cull disable
	nomipmaps
	surfaceparm metalsteps
	implicitMask -
}
