textures/silo_metals/railside
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/railside.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/railtop
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/railtop.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_rusted_01
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_rusted_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_rusted_02
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_rusted_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/grate_luster01
{
	qer_editorimage textures/silo_metals/grate_01.tga
	surfaceparm metalsteps
	surfaceparm clipmissile
	surfaceparm alphashadow
	surfaceparm trans
	qer_trans 0.8
	nomipmaps
	nopicmip
	cull none
	{

		map textures/silo_metals/grate_01.tga
      	alphafunc GE128
      	depthwrite
      	rgbgen vertex
	}
	{
		map textures/silo_fx/luster_01.tga
		blendfunc  GL_DST_COLOR GL_DST_ALPHA 
		tcgen environment
	}
}

textures/silo_metals/grate_02
{
	qer_trans 0.8
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	cull none
	{
		map textures/silo_metals/grate_02.tga
		alphafunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/silo_metals/metal_pipe01
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map texutres/silo_metals/metal_pipe01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_pipe02
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_pipe02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/grate_03
{
	qer_trans 0.8
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nolightmap
	nomipmaps
	nopicmip
	cull twosided
	{
		map textures/silo_metals/grate_03.tga
		depthwrite
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/silo_metals/diamondplate
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/diamondplate.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_redpaint
{
	surfaceparm metalsteps
	cull twosided
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_redpaint.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_02env
{
	qer_editorimage textures/wolfie_models/table_metal.tga
	surfaceparm metalsteps
	{
		map textures/wolfie_models/table_metal.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.2 1.2  
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/silo_metals/grate_04env
{
	qer_editorimage textures/silo_metals/grate_04.tga
	surfaceparm metalsteps
	surfaceparm alphashadow
	surfaceparm clipmissile
	surfaceparm trans
	qer_trans 0.6

	cull none
	{
		map textures/silo_fx/grate_04_env.tga
		blendfunc  GL_DST_COLOR GL_DST_ALPHA
		tcgen environment
	}
	{
		map textures/silo_metals/grate_04.tga
		alphafunc GE128
		depthwrite
		rgbgen identity
	}
}

textures/silo_metals/metal_03env
{
	qer_editorimage textures/silo_metals/metal_02.tga
	surfaceparm metalsteps
	{
		map textures/silo_metals/metal_02.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.2 1.2  
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/silo_metals/trim_01env
{
	qer_editorimage textures/silo_metals/trim_01.tga
	surfaceparm metalsteps
	{
		map textures/silo_metals/trim_01.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		blendFunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.2 1.2  
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/silo_metals/metal_m06_offset
{
	qer_editorimage textures/metal_misc/metal_m06.tga
	surfaceparm metalsteps
	polygonoffset
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/metal_misc/metal_m06.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_pln_env
{
	qer_editorimage textures/silo_fx/gray.tga
	surfaceparm metalsteps
	{
		map textures/silo_fx/gray.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		blendfunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.2 1.2
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/silo_metals/metalriveted_env
{
	qer_editorimage textures/silo_metals/metalriveted.tga
	surfaceparm metalsteps
	{
		map textures/silo_metals/metalriveted.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		blendfunc GL_ONE_MINUS_DST_ALPHA GL_ONE
		tcMod Scale 1.2 1.2
		tcGen environment
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/silo_metals/metal_pipe03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_pipe03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_pipe03a
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_pipe03a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_rusted_03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_rusted_03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_beam
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_beam.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_trim
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_trim.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_03a_riveted
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_03a_riveted.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_03b_riveted
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_03b_riveted.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_corrugated
{
	surfaceparm metalsteps
	cull twosided
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_corrugated.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_corrugated_rust
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_corrugated_rust.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/copper_corr
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/copper_corr.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/door_m_f
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/door_m_f.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/door_m_b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/door_m_b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_01
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_04
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_trim_01
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_trim_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_trim_02
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_trim_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_trim_04
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_trim_04.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_boxcar_front
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_boxcar_front.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_boxcar_side
{
	surfaceparm woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_boxcar_side.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_loco_a0
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_loco_a0.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_loco_a1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_loco_a1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_loco_wheel1
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_loco_wheel1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_loco_wheel2
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_loco_wheel2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_truck01
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_truck01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_truck02
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_truck02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/train_truck03
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/train_truck03.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/metal_05
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/metal_05.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/crate_01a
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/crate_01a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/crate_01b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/crate_01b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/crate_02a
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/crate_02a.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/silo_metals/crate_02b
{
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/silo_metals/crate_02b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
